Batch Get Conversation Events
curl --request GET \
--url https://api.example.com/api/conversations/{conversation_id}/events \
--header 'Content-Type: application/json' \
--header 'X-Session-API-Key: <api-key>' \
--data '[
"<string>"
]'import requests
url = "https://api.example.com/api/conversations/{conversation_id}/events"
payload = ["<string>"]
headers = {
"X-Session-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Session-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://api.example.com/api/conversations/{conversation_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"tool_call_id": "<string>",
"title": "<string>",
"kind": "ACPToolCallEvent",
"id": "<string>",
"timestamp": "<string>",
"source": "agent",
"status": "<string>",
"tool_kind": "<string>",
"raw_input": null,
"raw_output": null,
"is_error": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
Batch Get Conversation Events
Get a batch of local events given their ids, returning null for any missing item.
GET
/
api
/
conversations
/
{conversation_id}
/
events
Batch Get Conversation Events
Authorizations
Path Parameters
Body
application/json
Response
(ACPToolCallEvent · object | Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | HookExecutionEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object | null)[]
Successful Response
- ACPToolCallEvent
- Condensation
- CondensationRequest
- CondensationSummaryEvent
- ConversationErrorEvent
- ConversationStateUpdateEvent
- HookExecutionEvent
- LLMCompletionLogEvent
- ActionEvent
- MessageEvent
- AgentErrorEvent
- ObservationEvent
- UserRejectObservation
- SystemPromptEvent
- TokenEvent
- PauseEvent
Event representing a tool call executed by an ACP server.
Captures the tool name, inputs, outputs, and status from ACP
ToolCallStart / ToolCallProgress notifications so they can
be surfaced in the OpenHands event stream and visualizer.
This is not an LLMConvertibleEvent — ACP tool calls do not
participate in LLM message conversion.
Allowed value:
"ACPToolCallEvent"Unique event id (ULID/UUID)
Event timestamp
Available options:
agent, user, environment, hook Was this page helpful?

